io.undertow.websockets

## Class WebSocketExtension.Parameter

- java.lang.Object
- - io.undertow.websockets.WebSocketExtension.Parameter

Enclosing class:
  WebSocketExtension

    public static final class WebSocketExtension.Parameter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Parameter(String name, String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getValue()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Parameter

    public Parameter(String name,
                     String value)

### Method Detail

#### getName

    public String getName()

#### getValue

    public String getValue()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`